#!/bin/sh

if [ ! -f tslib.tar.gz ]; then
	echo "tslib.tar.gz file not found."
	echo
	echo "Please download the tslib source code from"
	echo "https://github.com/kergoth/tslib or"
	echo "the current Linux distributions source"
	echo "repository."
	echo
	echo "After getting the source bundle (with tar.gz extension),"
	echo "rename the file to tslib.tar.gz and place inside"
	echo "this directory."
else
	echo "Extracting files"
	tar zxvf tslib.tar.gz
	cp input-raw.c.patch ./*tslib*/plugins -v
	cp ts_calibrate.c.patch ./*tslib*/tests -v
	cd ./*tslib*/plugins
	patch -p0 < input-raw.c.patch
	cd ../tests
	patch -p0 < ts_calibrate.c.patch
	cd ..
	libtoolize
	./autogen.sh
	libtoolize
	./autogen.sh
	./configure
	make
	make install
	cd ..
	echo "Installation complete."
	echo
	echo "Next environmental variables will need to be setup in order to"
	echo "run 'ts_calibrate' and 'ts_test' tslib utilities."
	echo
	echo "For example if evdev path is at /dev/input/event5,"
	echo "the minimum environmental variables will need to be set"
	echo "by using the following commands."
	echo
	echo "export TSLIB_TSDEVICE=/dev/input/event5"
	echo "export TSLIB_PLUGINDIR=/usr/local/lib/ts"
	echo

fi
